## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.internal.ui
Class Messages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.internal.ui.Messages

    public final class Messages

extends org.eclipse.osgi.util.NLS

Field Summary
`static java.lang.String` `ContainerSelectionGroup_folder_select`
`static java.lang.String` `ContainerSelectionGroup_message`
`static java.lang.String` `ResourceAndContainerGroup_file_exists`
`static java.lang.String` `ResourceAndContainerGroup_folder_empty`
`static java.lang.String` `ResourceAndContainerGroup_invalid_name`
`static java.lang.String` `ResourceAndContainerGroup_name_empty`
`static java.lang.String` `ResourceAndContainerGroup_name_exists`
`static java.lang.String` `ResourceAndContainerGroup_project_noexist`
`static java.lang.String` `SaveAsDialog_error`
`static java.lang.String` `SaveAsDialog_error_msg`
`static java.lang.String` `SaveAsDialog_export_error`
`static java.lang.String` `SaveAsDialog_filename`
`static java.lang.String` `SaveAsDialog_filetype_label`
`static java.lang.String` `SaveAsDialog_message`
`static java.lang.String` `SaveAsDialog_overwrite`
`static java.lang.String` `SaveAsDialog_question`
`static java.lang.String` `SaveAsDialog_title`

Method Summary
`static java.lang.String` `getString(java.lang.String fieldName)` Gets a resource string by field name.

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ResourceAndContainerGroup_folder_empty

    public static java.lang.String ResourceAndContainerGroup_folder_empty

### ResourceAndContainerGroup_project_noexist

    public static java.lang.String ResourceAndContainerGroup_project_noexist

### ResourceAndContainerGroup_file_exists

    public static java.lang.String ResourceAndContainerGroup_file_exists

### ResourceAndContainerGroup_name_exists

    public static java.lang.String ResourceAndContainerGroup_name_exists

### ResourceAndContainerGroup_name_empty

    public static java.lang.String ResourceAndContainerGroup_name_empty

### ResourceAndContainerGroup_invalid_name

    public static java.lang.String ResourceAndContainerGroup_invalid_name

### ContainerSelectionGroup_message

    public static java.lang.String ContainerSelectionGroup_message

### ContainerSelectionGroup_folder_select

    public static java.lang.String ContainerSelectionGroup_folder_select

### SaveAsDialog_error

    public static java.lang.String SaveAsDialog_error

### SaveAsDialog_error_msg

    public static java.lang.String SaveAsDialog_error_msg

### SaveAsDialog_message

    public static java.lang.String SaveAsDialog_message

### SaveAsDialog_title

    public static java.lang.String SaveAsDialog_title

### SaveAsDialog_filetype_label

    public static java.lang.String SaveAsDialog_filetype_label

### SaveAsDialog_overwrite

    public static java.lang.String SaveAsDialog_overwrite

### SaveAsDialog_question

    public static java.lang.String SaveAsDialog_question

### SaveAsDialog_filename

    public static java.lang.String SaveAsDialog_filename

### SaveAsDialog_export_error

    public static java.lang.String SaveAsDialog_export_error

Method Detail

### getString

    public static java.lang.String getString(java.lang.String fieldName)

  Gets a resource string by field name. This is useful when the field name is constructed ad hoc.

  Parameters:
    `fieldName` -
  Returns: